Summary: XMMS remote that uses K-Jofol's skins.
Name: xmms-kj
Version: 0.95
Release: fr1
Serial: 0
Copyright: GPL
Group: Applications/Multimedia
Source0: http://www.dgs.monash.edu.au/~timf/kint_xmms-%{version}.tar.gz
Patch0: xmms-kj-makefile.patch
URL: http://www.dgs.monash.edu.au/~timf/xmms/
BuildRoot: %{_tmppath}/%{name}-root
Requires: xmms
BuildRequires: xmms-devel

%define xmmsdatadir %{_datadir}/xmms
%define xmmslibdir %{_libdir}/xmms

%description
There are some very cool skins coming out for K-Jofol.  They look
heaps better than the Winamp ones.  Just run XMMS, then run this
to control XMMS.

You can now put K-Jofol skins in ~/.xmms/kjofol/ or in
/usr/share/xmms/kjofol/ and use them with xmms by enabling this
plugin!

%prep
%setup -n xmms-kj
%patch0

%build
make vislib

%install
rm -rf %{buildroot}
strip libkjofol.so
install -D -m 755 libkjofol.so \
	%{buildroot}%{xmmslibdir}/Visualization/libkjofol.so
install -D -m 644 default.zip \
	%{buildroot}%{xmmsdatadir}/kjofol/default.zip
install -D -m 644 penguin.zip \
	%{buildroot}%{xmmsdatadir}/kjofol/penguin.zip

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING readme.txt
%{xmmsdatadir}/kjofol
%{xmmslibdir}/Visualization/libkjofol.so

%changelog
* Mon Apr 23 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.

* Thu Oct 26 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Updated to 0.95
- Cleaned up the spec file a little

* Thu Oct 26 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
  [xmms-kj-0.94-2]
- Updated the spec file, the patch and the build for RedHat 7.0

* Tue Jun 27 2000 Matthias Saou <thias@marmotte.net>
  [xmms-kj-0.94-1]
- Initial RPM release (and a tricky one too!)
- Patched the makefile to suit a RedHat system

